Chat Message
curl --request GET \
--url https://api.linqalpha.com/v1/chat_messages/{chat_message_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.linqalpha.com/v1/chat_messages/{chat_message_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.linqalpha.com/v1/chat_messages/{chat_message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chat_message_id": "123e4567-e89b-12d3-a456-426614174000",
"message": "The company's revenue grew by 20% in the last quarter. ...",
"message_type": "assistant",
"created_at": "2025-10-30T09:11:31.667544Z"
}{
"error": {
"code": "CHAT_MESSAGE_ID_MISSING",
"msg": "chat_message_id is required",
"message": "chat_message_id is required"
},
"payload": null
}{
"error": {
"code": "API_KEY_MISSING",
"msg": "header does not contain api key",
"message": "header does not contain api key"
},
"payload": null
}Basic
Chat Message
Retrieves a specific chat message by its ID.
How to find chat_message_id:
Look for the event with event_name set to search_results in the Chat API response data. For detailed instructions, see search_results event response.
GET
/
v1
/
chat_messages
/
{chat_message_id}
Chat Message
Authorizations
Path Parameters
Chat message ID
Was this page helpful?
⌘I